Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.jpdl3
Class JPDL3SwimlaneMetadata

    java.lang.Object
      org.modeshape.sequencer.jpdl3.JPDL3SwimlaneMetadata

    public class JPDL3SwimlaneMetadata

extends Object

Metdata class represent a swimlane in a jpdl xml file.

Author:
  Serge Pagop

Constructor Summary
`JPDL3SwimlaneMetadata()`

Method Summary
`String` | `getActorIdExpression()`
`JPDL3AssignmentMetadata` | `getAssignment()` Get the delegated instance, the assignment.
`String` | `getName()` Get the name of the specific swimlane.
`String` | `getPooledActorsExpression()`
`void` | `setActorIdExpression(String actorIdExpression)`
`void` | `setAssignment(JPDL3AssignmentMetadata assignment)` Set the delegated instance, the assignment.
`void` | `setName(String name)` Set the name of the swimlane.
`void` | `setPooledActorsExpression(String pooledActorsExpression)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JPDL3SwimlaneMetadata

    public JPDL3SwimlaneMetadata()

Method Detail

### getName

    public String getName()

  Get the name of the specific swimlane.

  Returns:
    name of the swimlane.

### setName

    public void setName(String name)

  Set the name of the swimlane.

  Parameters:
    `name` - - the name of the swimlane.

### getAssignment

    public JPDL3AssignmentMetadata getAssignment()

  Get the delegated instance, the assignment.

  Returns:
    assignment - the delegated instance.

### setAssignment

    public void setAssignment(JPDL3AssignmentMetadata assignment)

  Set the delegated instance, the assignment.

  Parameters:
    `assignment` - - the delegated instance.

### setActorIdExpression

    public void setActorIdExpression(String actorIdExpression)

  Parameters:
    `actorIdExpression` -

### getActorIdExpression

    public String getActorIdExpression()

  Returns:
    actorIdExpression

### setPooledActorsExpression

    public void setPooledActorsExpression(String pooledActorsExpression)

  Parameters:
    `pooledActorsExpression` -

### getPooledActorsExpression

    public String getPooledActorsExpression()

  Returns:
    pooledActorsExpression

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.